<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Base classes: Clutter Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
<link rel="home" href="index.html" title="Clutter Reference Manual">
<link rel="up" href="clutteranimation.html" title="Part V. Clutter Animation Framework">
<link rel="prev" href="clutteranimation.html" title="Part V. Clutter Animation Framework">
<link rel="next" href="ClutterTimeline.html" title="ClutterTimeline">
<meta name="generator" content="GTK-Doc V1.29 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="clutteranimation.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="clutteranimation.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="ClutterTimeline.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h2 class="title">
<a name="id-1.6.3"></a>Base classes</h2></div></div></div>
<div class="toc"><dl class="toc">
<dt>
<span class="refentrytitle"><a href="ClutterTimeline.html">ClutterTimeline</a></span><span class="refpurpose"> — A class for time-based events</span>
</dt>
<dt>
<span class="refentrytitle"><a href="clutter-Value-intervals.html">Value intervals</a></span><span class="refpurpose"> — An object holding an interval of two values</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ClutterAnimatable.html">ClutterAnimatable</a></span><span class="refpurpose"> — Interface for animatable classes</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ClutterTransition.html">ClutterTransition</a></span><span class="refpurpose"> — Transition between two values</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ClutterPropertyTransition.html">ClutterPropertyTransition</a></span><span class="refpurpose"> — Property transitions</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ClutterKeyframeTransition.html">ClutterKeyframeTransition</a></span><span class="refpurpose"> — Keyframe property transition</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ClutterTransitionGroup.html">ClutterTransitionGroup</a></span><span class="refpurpose"> — Group transitions together</span>
</dt>
</dl></div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.29</div>
</body>
</html>